Api referenceWebhooks
Update Webhook
Update a webhook
Authorization
api_key X-API-Key<token>
Sign up at Kausate.com to get an API key
In: header
Path Parameters
webhookId*string
Request Body
application/json
name?|
Name of the webhook
description?|
Optional description
url?|
URL to receive webhook notifications
apiVersion?|
API version for the webhook
status?|
Webhook status
partnerCustomerId?|
Optional partner customer ID
customHeaders?|
Custom request headers to include in webhook requests
Response Body
application/json
application/json
curl -X PUT "https://api.kausate.com/v2/webhooks/string" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"url": "string",
"apiVersion": "string",
"status": "active",
"orgId": "string",
"partnerCustomerId": "string",
"customHeaders": {
"property1": "string",
"property2": "string"
},
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Last updated on